Insurance API

post /users/{user_id}/insurances/import

Import insurance cards

Base URL https://api.vseepreview.com/api_v3 · operationId importInsurances

Authentication: User Token — Requires a user access token from login or SSO.

Import one or more insurance cards for a user. Array can include up to 2 insurances (primary and secondary). If insurance type already exists, it will be overwritten.

Parameters

NameInTypeRequiredEnumDefaultDescription
X-ApiTokenheaderstringyesAPI token (e.g. your_api_token)
X-AccountCodeheaderstringyesAccount code (e.g. vclinic)
user_idpathstringyesUser ID

Request body

Content type: application/json

FieldTypeRequiredEnumDescription
insurancesarray[InsuranceCard]yes

Example:

{
  "insurances": [
    {
      "card_type": "primary",
      "insurer_code": "(sandbox) HUMANA",
      "subscriber_number": "11000022",
      "group_number": "GN00022",
      "responsible_party": "self",
      "guarantor_first_name": "VSee",
      "guarantor_last_name": "Patient 11000022",
      "guarantor_middle_name": "Edward",
      "guarantor_dob": "1986-01-01",
      "guarantor_gender": 1,
      "guarantor_address": "54 Rainbow St",
      "guarantor_address_2": "#12-22",
      "guarantor_city": "Sunnyvale",
      "guarantor_zip": "10001",
      "guarantor_state": "CA",
      "consent": true
    }
  ]
}

Responses

200 — Insurances imported successfully

success

{
  "data": [
    {
      "card_type": "primary",
      "insurer_code": "(sandbox) HUMANA",
      "subscriber_number": "11000022",
      "group_number": "GN00022",
      "responsible_party": "self",
      "guarantor_first_name": "VSee",
      "guarantor_middle_name": "Edward",
      "guarantor_last_name": "Patient 11000022",
      "guarantor_dob": "1986-01-01",
      "guarantor_gender": 1,
      "guarantor_address": "54 Rainbow St",
      "guarantor_address_2": "#12-22",
      "guarantor_city": "Sunnyvale",
      "guarantor_zip": "10001",
      "guarantor_state": "CA",
      "consent": true
    }
  ],
  "version": "2.0"
}

Machine-readable: OpenAPI JSON (operationId: importInsurances)